Package be.fgov.ehealth.consultrn.ssinhistory.protocol.v1

# Class ObjectFactory

java.lang.Object
be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.consultrn.ssinhistory.protocol.v1 package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn.ssinhistory.protocol.v1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<ConsultSsinRequestType>`
  `createConsultCurrentSsinRequest(ConsultSsinRequestType value)`
  Create an instance of `JAXBElement``<``ConsultSsinRequestType``>`
  `jakarta.xml.bind.JAXBElement<ConsultCurrentSsinResponseType>`
  `createConsultCurrentSsinResponse(ConsultCurrentSsinResponseType value)`
  Create an instance of `JAXBElement``<``ConsultCurrentSsinResponseType``>`
  `ConsultCurrentSsinResponseType`
  `createConsultCurrentSsinResponseType()`
  Create an instance of `ConsultCurrentSsinResponseType`
  `jakarta.xml.bind.JAXBElement<ConsultSsinRequestType>`
  `createConsultRelatedSsinsRequest(ConsultSsinRequestType value)`
  Create an instance of `JAXBElement``<``ConsultSsinRequestType``>`
  `ConsultRelatedSsinsResponse`
  `createConsultRelatedSsinsResponse()`
  Create an instance of `ConsultRelatedSsinsResponse`
  `ConsultSsinRequestType`
  `createConsultSsinRequestType()`
  Create an instance of `ConsultSsinRequestType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.consultrn.ssinhistory.protocol.v1

- ## Method Details

  - ### createConsultSsinRequestType

    public ConsultSsinRequestType createConsultSsinRequestType()
    Create an instance of `ConsultSsinRequestType`
    Returns:
      the new instance of `ConsultSsinRequestType`

  - ### createConsultCurrentSsinResponseType

    public ConsultCurrentSsinResponseType createConsultCurrentSsinResponseType()
    Create an instance of `ConsultCurrentSsinResponseType`
    Returns:
      the new instance of `ConsultCurrentSsinResponseType`

  - ### createConsultRelatedSsinsResponse

    public ConsultRelatedSsinsResponse createConsultRelatedSsinsResponse()
    Create an instance of `ConsultRelatedSsinsResponse`
    Returns:
      the new instance of `ConsultRelatedSsinsResponse`

  - ### createConsultCurrentSsinRequest

    public jakarta.xml.bind.JAXBElement<ConsultSsinRequestType> createConsultCurrentSsinRequest(ConsultSsinRequestType value)
    Create an instance of `JAXBElement``<``ConsultSsinRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ConsultSsinRequestType``>`

  - ### createConsultRelatedSsinsRequest

    public jakarta.xml.bind.JAXBElement<ConsultSsinRequestType> createConsultRelatedSsinsRequest(ConsultSsinRequestType value)
    Create an instance of `JAXBElement``<``ConsultSsinRequestType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ConsultSsinRequestType``>`

  - ### createConsultCurrentSsinResponse

    public jakarta.xml.bind.JAXBElement<ConsultCurrentSsinResponseType> createConsultCurrentSsinResponse(ConsultCurrentSsinResponseType value)
    Create an instance of `JAXBElement``<``ConsultCurrentSsinResponseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ConsultCurrentSsinResponseType``>`